#!/bin/sh -e
nova_bin=/project/npac_srvtools/bin/stats
docroot=/usr/local/archives/public/html
#logroot=/project/C067
logroot=/project/www_npac_log
tmp=$logroot/tmp
statsdir=$docroot/stats
thisyear=`date +%y`
bindir=$nova_bin
wwwresult=$statsdir/wwwstats_28.html
wwwmonth=$statsdir/wwwstats.html
wwwyear=$statsdir/archive/96.wwwstats.html
gwstat="$bindir/gwstat"
combine="$bindir/combine"
echo '['`date`'] Starting: gwstat.sh'
cd $bindir
LD_LIBRARY_PATH=/usr/dt/lib:/usr/X11R6/lib:/usr/ucblib:/usr/openwin/lib
export LD_LIBRARY_PATH
nice -9 $gwstat -i $wwwmonth -C country -A archive
nice -9 $gwstat -i $wwwresult -R recent -b blue -f yellow
nice -9 $gwstat -i $wwwresult -D daily -b RosyBrown -f brown -o RosyBrown
nice -9 $gwstat -i $wwwresult -H hourly -b gray -f brown -o brown
nice -9 $gwstat -i $wwwresult -W weekly -b turquoise -f DarkViolet
nice -9 $gwstat -i $wwwyear -M monthly -b gray  -f blue
nice -9 $gwstat -i $wwwmonth -S $statsdir/archive.conf -T selected
nice -9 $gwstat -i $wwwyear -M yearly -b gray -f blue
cd $statsdir
all=$tmp/gif.$$
if ( test -f archive-chip.gif ) then
  nice -9 $combine +display -geometry +32+97 -size 100x100 \
    -compose replace archive-chip.gif $statsdir/base.gif $all
else
  cp $statsdir/base.gif $all
fi
nice -9 $combine +display -geometry +196+97 -size 100x100 \
-compose replace selected-chip.gif $all $all
nice -9 $combine +display -geometry +360+97 -size 100x100 \
-compose replace country-chip.gif $all $all
nice -9 $combine +display -geometry +32+281 -size 100x100  \
-compose replace hourly-chip.gif  $all $all
nice -9 $combine +display -geometry +196+281 -size 100x100  \
-compose replace daily-chip.gif  $all $all
nice -9 $combine +display -geometry +360+281 -size 100x100  \
-compose replace weekly-chip.gif $all $all
nice -9 $combine +display -geometry +32+465 -size 100x100  \
-compose replace monthly-chip.gif $all $all
nice -9 $combine +display -geometry +196+465 -size 100x100  \
-compose replace recent-chip.gif $all $all
mv -f $all stats.gif
chmod 664 stats.gif archive*.gif selected*.gif country*.gif hourly*.gif \
          daily*.gif weekly*.gif yearly*.gif monthly*.gif recent*.gif
echo '['`date`'] Finished: gwstat.sh'
exit

