#!/bin/sh 
#==============================================================================
#
#   Shell script to do monthly wwwstats on log file and produce an HTML file
#   containing the NPAC site statistics
#    Correction of 1996 statistics
#   R.Markowski 2 Jan 97
#
#==============================================================================
clyde_bin=/srvtools/bin/stats
docroot=/servers-admin/npac_http/html
#logroot=/e/p/C067
logroot=/e/s/log
tmp=$logroot/tmp
logfile=$logroot/logs/access_log
wwwhtml=$docroot/stats/archive
wwwstat=$clyde_bin/wwwstat
echo '['`date`'] wwwstat_month.sh: Starting' 
latest_logs=`\ls $logroot/log_archive/access_log.9612* `
thisday=`date +%d`
thismonth=`date +%h`
thisyear=`date +%y`

lastyear=96
lastmonth="Dec"

#
# Remove all but last month's hits.  Remove any hits for this month.
#

touch $tmp/log.$$
nice -9 \gunzip -c $latest_logs | \
 nice -9 grep "[0-9]/$lastmonth/19$lastyear" >> $tmp/log.$$
echo '['`date`'] gunzip ended'
#
# Create new uptodate wwwstats.html files by running wwwstat.
#
# 1: Build a stats file for this month only, [Month].[Year].x.wwwstats.html
# 2: Built a stats for this year, [Year].x.wwwstats.html, by merging this
#    month with existing yearly file.
#
#nice -9 $wwwstat -U $tmp/log.$$ > $wwwhtml/$lastmonth.$lastyear.x.wwwstats.html
echo '['`date`'] wwwstat Nov   ended'
nice -9 $wwwstat -U -i $wwwhtml/96.x.wwwstats.html $tmp/log.$$ > $wwwhtml/96.a.wwwstats.html
echo '['`date`'] wwwstat ended'
mv $wwwhtml/96.x.wwwstats.html $wwwhtml/96.x.wwwstats.old.html
mv $wwwhtml/96.a.wwwstats.html $wwwhtml/96.x.wwwstats.html
#
# Remove temporary files and copy result to HTML archive.
#
\rm -f $tmp/log.$$
chmod 664 $wwwhtml/96.x.wwwstats.html
chmod 664 $wwwhtml/$lastmonth.$lastyear.x.wwwstats.html

echo '['`date`'] wwwstat_month.sh: Finished' 
exit
