#!/usr/local/bin/perl

#######################################################################
# Filter_combine perl program
# Filtering robot access from combined log file and printing access
# log which has no robot access.
#
# Usage: ./filter_combine.pl a_robot_agent_file a_combined_log_file
# 
# A robot agent file has the list (part) of robot agents and each line
# has one agent name.
#

# Open robot agent file.
open(ROBOT, $ARGV[0]) || die "Can't open $ARGV[0]: $!\n";

$_ = <ROBOT>;
/(.*)$/;
$compare = $1;

# Making a compare variable which includes all the robot agents.
while ($_ = <ROBOT>) {
  /(.*)$/;
  $input = $1;
  $compare = $compare . "|" . $input;
}

# Open a combined log file.
open(COMBINE, $ARGV[1]) || die "Can't open $ARGV[1]: $!\n";

# Extract access log part and compare the agent part to the list
# of robot agents.
while ($_ = <COMBINE>) {
  /(.*) (\".*\") (\".*\")$/;
  $access_log = $1;
  $referer = $2;
  $agent = $3;
  if ($3 !~ /$compare/) {
    print $access_log, "\n";
  }
}
