#!/bin/sh -e

#=======================================================
#
# These four definitions specify the binary paths for
# nova and clyde and the writable document and log root
# for the web server.
# 
#=======================================================
#
#clyde_bin=/usr/local/servers/npac_http/tools/stats  NOT USED HERE!
nova_bin=/project/npac_srvtools/bin/stats
docroot=/usr/local/archives/public/html
#docroot=/home/B10F/httpadm/tmp
#logroot=/project/C067
logroot=/project/www_npac_log
tmp=$logroot/tmp

statsdir=$docroot/stats

thisday=`date +%d`
thisyear=`date +%y`
thismonth=`date +%h`

if (test $thisyear -lt 10)
  then
    case "$thisyear" in
      00) lastyear="99";;
      01) lastyear="00";;
      02) lastyear="01";;
      03) lastyear="02";;
      04) lastyear="03";;
      05) lastyear="04";;
      06) lastyear="05";;
      07) lastyear="06";;
      08) lastyear="07";;
      09) lastyear="08";;
    esac
  else
    lastyear=`expr $thisyear - 1`
fi

#
# THESE ARE REQUIRED BECAUSE NOVA DOES NOT HAVE A /usr/local/servers
# MOUNT POINT for /project/C420/s/
#
bindir=$nova_bin

wwwresult=$statsdir/wwwstats_28.html
wwwnpac28=$statsdir/wwwnpac28.html
wwwsyr28=$statsdir/wwwsyr28.html
#wwwsyrns28=$statsdir/wwwsyrnosearch28.html
wwwmonth=$statsdir/wwwstats.html
wwwyear=$statsdir/archive/$thisyear.wwwstats.html
wwwday=$statsdir/wwwday.html
wwwdaynr=$statsdir/wwwdaynr.html
newmonth=$statsdir/month.html
npacmonth=$statsdir/npacmonth.html
syronlymonth=$statsdir/syronlymonth.html
#syrnsmonth=$statsdir/syrnosearchmonth.html
#wwwyear=$statsdir/archive/96.wwwstats.html

#gwstat="$bindir/gwstat"
newgwstat="$bindir/newgwstat"
#combine="$bindir/combine"

#
# generate gwstat *.gifs
# 
# For gwstat to work the executables must be in the path!
# The easiest way to achieve this is to cd to the $bindir
#
echo '['`date`'] Starting: gwstat.sh'
cd $bindir
LD_LIBRARY_PATH=/usr/dt/lib:/usr/X11R6/lib:/usr/ucblib:/usr/openwin/lib:/usr/local/lib
export LD_LIBRARY_PATH

cp $statsdir/monthspider.dat $statsdir/spiders.dat

$newgwstat -i $newmonth -H monthhour -b gray -f brown -o brown
$newgwstat -i $npacmonth -H npacmonthhour -b gray -f RosyBrown -o brown
$newgwstat -i $syronlymonth -H syrmonthhour -b gray -f DarkViolet -o brown

# These are for generating 'No data' gif routine for less than
# 10 page month archive graph files.
if (test $thisday = "02") then
  for index in 9 8 7 6 5 4 3 2 1
  do
    cp $statsdir/nodata.gif $statsdir/montharch$index.gif
    cp $statsdir/nodata.gif $statsdir/npacmontharch$index.gif
    cp $statsdir/nodata.gif $statsdir/syrmontharch$index.gif
  done
fi

$newgwstat -i $newmonth -A montharch -n
$newgwstat -i $npacmonth -A npacmontharch -n -f RosyBrown
$newgwstat -i $syronlymonth -A syrmontharch -n -f DarkViolet

$newgwstat -i $newmonth -C monthdom

$newgwstat -i $newmonth -S $statsdir/archive.conf -T monthsel -n
$newgwstat -i $npacmonth -S $statsdir/archive.conf -T npacmonthsel -n \
    -f RosyBrown
$newgwstat -i $syronlymonth -S $statsdir/archive.conf -T syrmonthsel -n \
    -f DarkViolet

\rm -f $statsdir/spiders.dat

cd $statsdir

if (test $thismonth = "Jan") then
cp $statsdir/archive/$lastyear.monthly-chip.gif $statsdir/monthly-chip.gif
cp $statsdir/archive/$lastyear.monthly.gif $statsdir/monthly.gif
else 
cp $statsdir/archive/$thisyear.monthly-chip.gif $statsdir/monthly-chip.gif
cp $statsdir/archive/$thisyear.monthly.gif $statsdir/monthly.gif
fi

chmod 664 stats.gif archive*.gif selected*.gif country*.gif hourly*.gif \
          daily*.gif weekly*.gif yearly*.gif monthly*.gif day*.gif \
  	  month*.gif
cp $statsdir/archive/$thisyear.monthly-chip.gif $statsdir/monthly-chip.gif
cp $statsdir/archive/$thisyear.monthly.gif $statsdir/monthly.gif

echo '['`date`'] Finished: gwstat.sh'
exit

