#!/bin/sh 

#=======================================================
#
# These three definitions specify the binary paths for
# vega and clyde and the writable document root for the
# web server.
#
#=======================================================
#
#=======================================================
#
# These four definitions specify the binary paths for
# vega and clyde and the writable document and log root
# for the web server.
#
#=======================================================
#
#clyde_bin=/usr/local/servers/npac_http/tools/stats   NOT USED HERE!
vega_bin=/project/npac_srvtools/bin/stats
docroot=/usr/local/archives/public/html
#logroot=/project/C067
logroot=/project/www_npac_log
tmp=/var/tmp

#
#	Setup
#	=====
#

# Maximum value for Y axis on monthly graphs.
#
ymax=1500000

#
# Directories for stats files and binaries.
#
statsdir=$docroot/stats

#
# Binary names
#
gwstat="$vega_bin/newgwstat"
combine="$vega_bin/combine"

LD_LIBRARY_PATH=/usr/dt/lib:/usr/X11R6/lib:/usr/ucblib:/usr/openwin/lib:/usr/local/software/ImageMagick/lib
export LD_LIBRARY_PATH
#
#	For each year generate access gif if file desn't exist
#	======================================================
#
echo '['`date`'] Starting: gwstat_month.sh'
cd $vega_bin
for year in 00
do
  if ( test ! -f $statsdir/archive/$year.monthly.gif ) then
    nice -9 $gwstat -i $statsdir/archive/$year.wwwstats.html \
     -M $year.monthly \
     -b gray -f blue -t 12/31/$year -m $ymax -debug
    mv $statsdir/$year.monthly*.gif $statsdir/archive
  fi
done

# Creating imagemap gif routine is neutralized by Jake Kim in 1998.
# Because "yearly" html was changed. No more need.

echo '['`date`'] Finished: gwstat_month.sh'
exit
