#!/bin/sh 

#==============================================================================
#
#   Shell script to copy monthly graphs to the monthly directory.
#
#   Jungkee (Jake) Kim 1th May 98
#
#==============================================================================
#=======================================================
#
# These four definitions specify the binary paths for
# nova and clyde and the writable document and log root
# for the web server.
#
#=======================================================
#
clyde_bin=/srvtools/bin/stats
#nova_bin=/project/C420/s/npac_http/tools/stats      NOT USED HERE!
docroot=/servers/npac_http/html
#logroot=/e/p/C067
logroot=/e/s/log
tmp=$logroot/tmp

#==============================================================================
echo '['`date`'] copy_month.sh: Starting' 

thisday=`date +%d`
thismonth=`date +%h`
thisyear=`date +%Y`

lastyear=$thisyear

case "$thismonth" in
  Jan) lastmonth="Dec";
       lastyear=`expr $thisyear - 1` ;;
  Feb) lastmonth="Jan" ;;
  Mar) lastmonth="Feb" ;;
  Apr) lastmonth="Mar" ;;
  May) lastmonth="Apr" ;;
  Jun) lastmonth="May" ;;
  Jul) lastmonth="Jun" ;;
  Aug) lastmonth="Jul" ;;
  Sep) lastmonth="Aug" ;;
  Oct) lastmonth="Sep" ;;
  Nov) lastmonth="Oct" ;;
  Dec) lastmonth="Nov" ;;
esac
  
#
# Copy all the last month's graph to the archive directory
#

cp $docroot/stats/month*.gif $docroot/stats/$lastyear/$lastmonth
cp $docroot/stats/npacmonth*.gif $docroot/stats/$lastyear/$lastmonth
cp $docroot/stats/syrmonth*.gif $docroot/stats/$lastyear/$lastmonth

echo '['`date`'] copy_month.sh: Finished' 
exit
