#!/bin/sh

#=======================================================
#
# These four definitions specify the binary paths for
# vega and outback and the writable document and log root
# for the web server.
#
#=======================================================
#
outback_bin=/srvtools/bin/stats
vega_bin=/project/npac_srvtools/bin/stats
docroot=/servers/npac_http/html
logroot=/servers/npac_http/log
tmp=/var/tmp

echo '['`date`'] run_month.sh: Starting'

html_archive=$docroot/stats/archive
thisyear=`date +%y`

if (test thisyear = "00") then
  lastyear=99
else
  lastyear=`expr $thisyear - 1`
fi

if (test `date +%h` = "Jan") then
  thisyear=$lastyear
fi

#
#   Run script on outback to build a statistics file wwwstat.html
#
#- \cp $html_archive/98.wwwstats.html $html_archive/98_old.wwwstats.html 

$outback_bin/wwwstat_month.sh

#-if (test `date +%d` != "01") then
#-  echo  '['`date`'] run_month.sh: Not first of the month'
#-  \mv $html_archive/98.wwwstats.html $html_archive/98_new.wwwstats.html
#-  \mv $html_archive/98_old.wwwstats.html $html_archive/98.wwwstats.html 
#-fi

#
#   Remove current monthly gif for this year.  This will force another
#   one to be produced.
#
\rm -f $html_archive/$thisyear.monthly.gif
#
#   Run a script to update the monthly graphs for each year.
#
#rsh nova.npac.syr.edu $nova_bin/gwstat_month.sh
/usr/local/bin/ssh vega.npac.syr.edu $vega_bin/gwstat_month.sh

#
#   Finish
#
echo '['`date`'] run_month.sh: Finished'
exit
