#!/bin/sh

#==============================================================================
#
#   Shell script to do daily wwwstats on log file and produce an HTML file
#   containing the NPAC site statistics
#
#   Ade Miller 8th Jan 96
#
#==============================================================================
#=======================================================
#
# These four definitions specify the binary paths for
# nova and clyde and the writable document and log root
# for the web server.
#
#=======================================================
#
clyde_bin=/srvtools/bin/stats
#nova_bin=/project/C420/s/npac_http/tools/stats   NOT USED HERE!
docroot=/servers-admin/npac_http/html
#logroot=/e/p/C067
logroot=/e/s/log
tmp=$logroot/tmp

#
#   Name of log file to use:
#
logfile=$logroot/logs/access_log

#
#   Names of executable wwwstat program:
#
wwwstat=$clyde_bin/wwwstat
newwwwstat=$clyde_bin/newwwwstat
# test for checking spider agents
test=$clyde_bin/test
#
#   Name of file to write yesterday's wwwstat result to:
#
wwwday=$docroot/stats/wwwday.html
wwwdayurs=$docroot/stats/wwwdayurs.html
#
#
#
dayspider=$docroot/stats/dayspider.dat
#==============================================================================

echo '['`date`'] wwwstatday.sh: Starting'

\rm -f $tmp/*

## wwwtmp=$tmp/wwwstats.$$
yesterday_log=`\ls $logroot/log_archive/access_log.* | tail -1`
yesterday_agent=`\ls $logroot/log_archive/agent_log.* | tail -1`
thisday=`date +%d`
thismonth=`date +%h`
thisyear=`date +%y`

#
# Remove all but this month's hits.  Remove any hits for today.
#

touch $tmp/log3.$$
nice -8  \gunzip -c $yesterday_log >> $tmp/log3.$$

touch $tmp/log4.$$
nice -8 \gunzip -c $yesterday_log | grep "[0-9] - - \[" >> $tmp/log4.$$

\rm -f $dayspider
touch $dayspider
touch $tmp/dayagent.$$
nice -8  \gunzip -c $yesterday_agent >> $tmp/dayagent.$$
nice -8 $test $tmp/dayagent.$$ | wc -l > $dayspider

## cp $tmp/dayagent.$$ $tempspider
## \rm -f $tempspider

#
# Create new uptodate wwwstats.html file by running another script.
#
# Build a stats file for this month only $wwwtmp.
# Build a stats file for last four weeks $wwwresult.
# Build a stats file for $wwwpulsar
#
nice -8 $newwwwstat -U $tmp/log3.$$ > $wwwday
echo '['`date`'] wwwstat.sh: built yesterday log'
nice -8 $newwwwstat -u $tmp/log4.$$ > $wwwdayurs
echo '['`date`'] wwwstat.sh: built yesterday unresolved log'

#\rm -f $dayspider
#touch $dayspider
#\wc -l $tmp/dayagent.$$ >> $dayspider

#\rm -f $monthspider
#touch $monthspider
#\wc -l $tmp/monthagent.$$ >> $monthspider

#
# Remove temporary files and copy result to HTML archive.
#
\rm -f $tmp/log3.$$
\rm -f $tmp/log4.$$
\rm -f $tmp/dayagent.$$
## \mv -f $wwwtmp $wwwmonth

# Copy from New monthly html for safe execution of previous month version
chmod 664 $wwwday
chmod 664 $wwwdayurs

echo '['`date`'] wwwstatday.sh: Finished'
exit
